Cuby: Шадик
25 Июня 2019, 12:43:05 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Расширен список контрагентов. Следствием будет повышение качества выполняемых работ.
 
   Начало   Помощь Поиск Календарь Войти Регистрация  

Модернизация КТФ-7 до ЧПУ - контроллер управления G-CODE

Страниц: [1]   Вниз
  Печать  
Автор Тема: Установка Sourcery CodeBench  (Прочитано 4651 раз)
walery
Модератор
Ветеран
*****
Сообщений: 3644


модернизаация КТФ-7 до ЧПУ


WWW
« : 05 Апреля 2014, 21:21:49 »

При установке на mint16 в начале выводится на консоль многократно такое предупреждающее сообщение:
Код:
(SWT:4416): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.38.1/./gobject/gclosure.c:697: unable to remove uninstalled invalidation notifier: 0x9fdc9dc0 (0x966a1d8)


Код:
(SWT:4697): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.38.1/./gobject/gclosure.c:697: unable to remove uninstalled invalidation notifier: 0x9fe27dc0 (0x89b45e0)

(process:4773): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed


На графическом интерфейсе всё выглядит нормально, но по завершении установки проверка командой :
Код:
>arm-none-eabi-gcc -v
arm-none-eabi-gcc: команда не найдена



Помогите. Непонимающий
« Последнее редактирование: 05 Апреля 2014, 21:35:20 от walery » Записан
walery
Модератор
Ветеран
*****
Сообщений: 3644


модернизаация КТФ-7 до ЧПУ


WWW
« Ответ #1 : 05 Апреля 2014, 21:55:12 »

После установки пути врукопашную проверочная команда выполнилась успешно:
Код:
> setenv PATH installdir/bin:$PATH
Код:
>arm-none-eabi-gcc -v
...
gcc version 4.8.1 (Sourcery CodeBench Lite 2013.11-24)
  Веселый
Записан
walery
Модератор
Ветеран
*****
Сообщений: 3644


модернизаация КТФ-7 до ЧПУ


WWW
« Ответ #2 : 06 Апреля 2014, 16:59:24 »

Для целей программирования CC2538 установка uniflash не получилась:
Код:
/bin/sh uniflash_setup_3.1.0.00026.binuniflash_setup_3.1.0.00026.bin: 1: uniflash_setup_3.1.0.00026.bin: Syntax error: ")" unexpected
Причём такую же ошибку выводит и другая версия: uniflash_setup_3.0.0.00031.bin .  Непонимающий

Операционная система: MIN16 Petra.

« Последнее редактирование: 06 Апреля 2014, 18:18:37 от walery » Записан
walery
Модератор
Ветеран
*****
Сообщений: 3644


модернизаация КТФ-7 до ЧПУ


WWW
« Ответ #3 : 06 Апреля 2014, 18:38:10 »

Проверка возможности установки продуктов CCS имеет смысл с проверки ОС.
Рекомендуемые ОСи:
Цитировать
Ubuntu and a version of RedHat (or equivalent CentOS) for enterprise customers.

    Ubuntu 12.04
    Redhat 6
В остальных случах В замешательстве

Для MINT16 получаем:
Код:
/bin/bash check_depends.sh
Installed versions of glibc and glibcxx: GLIBC_2.17, N/A
Required versions of glibc and glibcxx:  GLIBC_2.7, GLIBCXX_3.4.16
Checking availability of libraries in ext-depends.txt ...
Failed to find lib: libjpeg.so.62
Done.

« Последнее редактирование: 06 Апреля 2014, 18:42:00 от walery » Записан
wivern
штиль
Ветеран
**
Сообщений: 1539



« Ответ #4 : 07 Апреля 2014, 10:15:43 »

ну mint 16 основан на Ubuntu 13, т.е. можно считать что у нас ubuntu

Failed to find lib: libjpeg.so.62

значит нужно добавить библиотеку, которой не хватает, тут система в общем ни при чем:

sudo apt-get install libjpeg62:i386

Записан
Страниц: [1]   Вверх
  Печать  
 
Перейти в:  

Модернизация КТФ-7 до ЧПУ - контроллер управления G-CODE

Powered by MySQL Powered by PHP Powered by SMF 1.1.16 | SMF © 2006-2008, Simple Machines Valid XHTML 1.0! Valid CSS!

Bad Behavior has blocked 12802 access attempts in the last 7 days.